Skip to content
This repository

rubyjedi-soap4r

Description

This is an updated fork of soap4r which aims to maintain forward compatibility with Ruby 1.8, 1.9, and JRuby.

The original soap4r by NAKAMURA, Hiroshi, v1.5.8 is at http://dev.ctor.org/soap4r .

Warnings

As this is a work-in-progress, this code will likely cause you grief while the code base is stabilized.

Task Priorities

  • Get the Regression Test Suite 100% Functional under Ruby 1.8 via ‘rake test’.
  • Refactor as necessary for Ruby 1.9, now that we have usable tests.
  • Refactor again for JRuby.
Something went wrong with that request. Please try again.